<template>
  <div class="todoitem" @click.stop="onClick">
    <form class="form-inline">
      <div class="checkbox">
        <label>
          <input v-model="todo.done" type="checkbox">
        </label>
      </div>
      <span v-if="!todo.done">{{ todo.title }}</span>
      <del v-if="todo.done">{{ todo.title }}</del>
    </form>
  </div>
</template>
<style>
  .todoitem {
    height: 30px;
    background-color: #FFFFFF;
    border-radius: 5px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding-left: 5px;
    padding-right: 5px;
  }
</style>
<script>
  export default {
    name: 'todo-item',
    data () {
      return {}
    },
    props: ['todo'],
    methods: {
      onClick: function () {
        this.$emit('selected', this.todo)
      }
    },
    components: {
    }
  }
</script>
